# Features of SickoMenu

## ⚙️ Settings
### General
- **Keybinds** Show/Hide Menu/Console (Default: DELETE, HOME)
- **Show Keybinds** Allows you to see and modify keybinds (Default: ON)
- **Allow Keybinds while Chatting** Allows you to use keybinds while chatting (Default: OFF)
- **Always Show Menu on Startup** Shows the menu on startup (Default: ON)
- **Panic** Disables the mod at will (Default: OFF)
- **Adjust by DPI** Allows you to change scaling of the menu (Default: ON)
- **Menu Scale** Change the size of the menu (Default: 100%)
- **Menu Theme Color**: Change the accent color of the menu (Default: #801341)
- **RGB Menu Theme** Have an RGB accent color (Default: OFF)
- **Opacity** Change the opacity of the Menu (Default: 100%)
- **Show Debug Tab** *(Only for Debug)* Shows the Debug tab (Default: OFF)
- **Set Name** Sets in-game name to the specified name provided that it's valid or you're a host/not in safe mode
- **Set as Account Name** Sets your account name to the specified name provided that it's valid
- **Automatically Set Name** If your name is not the same as the username, set the username automatically (Default: OFF)
- **Replace Streamer Mode Lobby Code** Changes the streamer mode hidden code from "******" to your custom text (Default: "SICKOS")
- **RGB Lobby Code** Makes the lobby code RGB (Default: OFF)
- **Unlock All Achievements** Unlocks all Achievements
- **Unlock Cosmetics** Unlocks every cosmetic (hats, visors, etc.) (Default: OFF)
- **Safe Mode** Disables certain features whenever there is an anticheat (Default: ON)
- **Allow other SickoMenu users to see you're using SickoMenu** Allows SickoMenu users to see other SickoMenu users
### Spoofing
- **Spoof Guest Account** Spoofs your account to be a new guest account everytime you log in *(Works best with version.dll)* (Default: OFF)
- **Use Custom Guest Friend Code** Changes your new friend code to whatever you want as long as it's valid (Default: OFF)
- **Spoof Level** Spoofs your level in game (Default: OFF)
- **Spoof Platform** Spoofs your platform to whatever you choose (Default: OFF)
### Keybinds
- **Show/Hide Menu** (Default: DELETE)
- **Show/Hide Console** (Default: HOME)
- **Show/Hide Radar** (Default: Insert)
- **Show/Hide Replay** (Default: End)
- **Panic (Disable SickoMenu)** (Default: PAUSE BREAK)
- **Enable/Disable HUD** (Default: None)
- **Enable/Disable HUD** (Default: None)
- **Freecam** (Default: None)
- **Zoom** (Default: None)
- **NoClip** (Default: CTRL)
- **Reset Appearance** (Default: None)
- **Confuse Now** (Default: None)
- **Repair All Sabotages** (Default: PAGE DOWN)
- **Close All Doors** (Default: None)
- **Close Current Room Door** (Default: None)
- **Complete All Tasks** (Default: None)
-
## 🎮 Game
### General
- **Multiply Player Speed** Multiplies your speed by specified amount (Default: OFF)
- **Modify Kill Distance** Modifies kill distance to the specified amount (Default: OFF)
- **No Ability Cooldown** Removes ability cooldowns (kill cooldown, vent cooldown, etc.) (Default: OFF)
- **Set Color** Sets your color to the specified color if it's available or you're host/not in safe mode
- **Snipe Color** Snipes your color whenever it's available (Default: OFF)
- **Send Chat** Sends a chat message to the game chat
- **Send to AUM** Sends an AUM chat message that can be seen with AmongUsMenu or SickoMenu
- **Spam** Spams chat with your desired message
- **Spam by Everyone** *(Only with Safe Mode disabled)* Spams the chat as all players with your desired message (Default: OFF)
- **Console** Shows a console window that tracks all game events (Default: OFF)
- **Allow Everyone to NoClip** *(Only as host/Safe Mode disabled)* Allows every player to walk through walls provided they're not a cheater as well
- **Kill Everyone** *(Only as host/Safe Mode disabled)* Kills all players as yourself
- **Protect Everyone** Casts a guardian angel shield with the same color as the player around them 
- **Disable Venting** Instantly kicks anyone in the vents out (Default: OFF)
- **Spam Report** Spams dead body reports (Default: OFF)
- **Kill All Crewmates** *(Only as host/Safe Mode disabled)* Kills all crewmates as yourself
- **Kill All Impostors** *(Only as host/Safe Mode disabled)* Kills all impostors as yourself
- **Suicide All Crewmates** *(Only with Safe Mode disabled)* Kills all crewmates as themselves
- **Suicide All Impostors** *(Only with Safe Mode disabled)* Kills all impostors as themselves
- **Scan Everyone** *(Only with Safe Mode disabled and visual tasks enabled)* Forces everyone to medbay scan
- **Stop Scanning Everyone** *(Only with Safe Mode disabled and visual tasks enabled)* Forces everyone to stop medbay scannning
- **Kick Everyone from Vents** Fakes vent cleaning for every vent to kick everyone from vents
- **End Meeting** *(Only as host/Safe Mode disabled)* Forces the meeting to end
- **Force Name for Everyone** *(Only with Safe Mode disabled)* Forces your desired name for everyone
- **Force Color for Everyone** *(Only with Safe Mode disabled)* Forces your desired color for everyone

### Settings
View the game options!

## 🤵 Self
### Visuals
- **Max Vision** See everything (walls still block vision) (Default: OFF)
- **Wallhack** See everything (even through walls) (Default: OFF)
- **Disable HUD** Disables HUD elements such as use, sabotage buttons
- **Freecam** Detach the camera from player and see everything (Default: OFF, Speed: 1x)
- **Zoom** Zooms the camera out for more vision (Default: OFF, Zoom: 3x)
- **Always show Chat Button** Always shows the chat button even in game (Default: OFF)
- **Allow Copy/Paste in Chat** Allows you to copy, paste, or cut text into chat (Default: OFF)
- **Read Messages by Ghosts** Allows you to read ghost messages (Default: OFF)
- **Read and Send AUM Chat** Allows you to read AUM chat and send via "/aum [message]" (Default: OFF)
- **Custom Name** Customize your name with effects such as gradient, RGB, size, italics, underline and strikethrough (Default: OFF)
- **Server-sided Custom Name** *(Only as host/Safe Mode disabled)* Shows your custom name for everyone (Default: OFF)
- **Reveal Roles** Reveals a player's roles and tasks completed (Default: OFF)
- **Abbrv. Role** Shortens the role name (Default: OFF)
- **Player Colored Dots Next To Names** Shows a dot with the player's color (Default: OFF)
- **Show Player Info in Lobby** Reveals level, friend code, etc. of player (Default: OFF)
- **Reveal Votes** Reveals the votes before voting results (Default: OFF)
- **Reveal Anonymous Votes** Reveals anonymous votes (Default: OFF)
- **See Ghosts** Allows you to see ghosts (Default: OFF)
- **See Protections** Shows the guardian angel protections on a player (Default: OFF)
- **See Kill Cooldown** Shows the kill cooldown of an impostor below their name (Default: OFF)
- **Dark Mode (Chat Only)** Enables dark mode while chatting (Default: OFF)
- **Disable Kill Animation** Disables the kill animation (Default: OFF)
- **Show Host** Shows the host below ping (Default: OFF)
- **Hide Watermark** Hides the watermark, useful for streaming (Default: OFF)
- **Show Vote Kicks** Shows your vote kicks below ping (Default: OFF)
- **Show FPS** Shows the FPS below ping (Default: OFF)
- **Move in Meeting** Ends the meeting for yourself

### Utils
- **Unlock Vents** Allows you to vent even when your role doesn't allow you to (Default: OFF)
- **Move While in Vent & Shapeshifting** Allows you to move in vent and while shapeshifting (Default: OFF)
- **Always Move** Allows you to move in meetings and game menus such as tasks (Default: OFF)
- **Shapeshift without Animation** Allows you to shapeshift without the animation (Default: OFF)
- **Copy Lobby Code on Disconnect** Automatically copies the lobby code to your clipboard when you get disconnected unintentionally (Default: OFF)
- **NoClip** Allows you to walk through walls (Default: OFF)
- **Kill Other Impostors** *(Only with Safe Mode disabled)* Allows you to kill fellow impostors (Default: OFF)
- **Unlock Kill Button** *(Only with Safe Mode disabled)* Allows you to use kill button at any time (Default: OFF)
- **Allow Killing in Lobbies** *(Only with Safe Mode disabled)* Allows you to kill in lobbies (Default: OFF)
- **Kill While Vanished** *(Only with Safe Mode disabled)* Allows you to kill while being vanished as a phantom (Default: OFF)
- **Infinite Kill Range** Extends your kill reach (Default: OFF)
- **Kill During Vanish** Allows you to kill while vanished as a Phantom (Default: OFF)
- **Bypass Guardian Angel Protections** Allows you to kill protected players (Default: OFF)
- **Do Tasks as Impostor** Allows you to complete tasks as impostor (Default: OFF)
- **Always Use Kill Exploit** Forces the kill exploit to always be used, thus bypassing Disable Kills (Default: OFF)
- **Fake Alive** Appear to yourself as alive even if you're dead (Default: OFF)
- **God Mode** Prevents you from dying (Default: OFF)
- **(Shift + Right Click) to Teleport** Teleports you to wherever you clicked (Default: OFF)
- **Rotate Everyone** Rotates everyone around you only for yourself based on the rotation radius (Default: OFF)
- **Server-sided Rotation** *(Only with Safe Mode disabled)* Rotates everyone around you that can be seen by everyone (Default: OFF)
- **Teleport To** Teleports you to the specified coordinates
- **Teleport Everyone To** *(Only with Safe Mode disabled)* Teleports everyone to the specified coordinates
- **Relative Teleport** Teleports you/everyone but with yourself as (0,0) (Default: OFF)
- **Set Role** *(Only as host/Safe Mode disabled)* Sets your role to the specified role
- **Set Role for Everyone** *(Only as host/Safe Mode disabled)* Sets everyone's role to the specified role
- **Set Fake Role** Sets your role client-side to the specified role
- **Automatically Set Fake Role** Sets the fake role automatically

### Randomizers
- **Cycler** Constantly cycles your cosmetics that you choose (Default: OFF)
- **Cycle for Everyone** *(Only as host/Safe Mode disabled)* Constantly cycles everyone's name and color if chosen (Default: OFF)
- **Confuser** Randomize your appearance at will or when certain conditions are met (Default: OFF)
- **Randomize Everyone** *(Only with Safe Mode disabled)* Randomize everyone's appearances at will

## 🗺️ Radar
- **Show Radar** Shows a radar of the current map with players (Default: OFF)
- **Show Dead Bodies** Shows dead bodies on the radar (Default: OFF)
- **Show Ghosts** Shows ghosts on the radar (Default: OFF)
- **Right Click to Teleport** Allows you to right click and teleport anywhere on the radar (Default: OFF)
- **Hide Radar During Meetings** Hides radar in meetings (Default: OFF)
- **Draw Player Icons** Replaces player colored dots with player icons (Default: OFF)
- **Lock Radar Position** Locks the radar in place (Default: OFF)
- **Show Border** Shows a border on the radar (Default: OFF)
- **Radar Color** Changes the radar's color
- **Extra Width/Height** Extends the radar to whatever width and height you choose

## ▶️ Replay
- **Show Replay** Shows a replay of all game events (Default: OFF)
- **Show only last x seconds** Only shows the last x seconds (Default: OFF)
- **Clear after Meeting** Clears the replay after meeting (Default: OFF)
- **Replay Map Color** Changes the replay map's color

## 🩻 ESP
- **Enable** Enables ESP (Default: OFF)
- **Show Ghosts** Shows ghosts on ESP (Default: ON)
- **Hide During Meetings** Hides ESP in meetings (Default: OFF)
- **Show Boxes** Shows ESP boxes on players (Default: ON)
- **Show Tracers** Shows tracers from yourself to players (Default: ON)
- **Role-based** Instead of player colors, use role colors for ESP and toggle roles you want to see (Default: OFF)

## 🤹 Players:
A dedicated player menu for viewing and manipulating players
- **Call Meeting** Calls a meeting as yourself
- **Skip Vote by All** *(Only as host/Safe Mode disabled)* Skips votes by everyone
### Player
- **Report Body** Reports the selected player's body
- **Spectate** Spectate the selected player
- **Kill** *(Only as host/Safe Mode disabled)* Kills the selected player
- **Telekill** *(Only as host/Safe Mode disabled)* Kills the selected player and teleports you to your previous location
- **Kick** *(Only as Host)* Kicks the selected player
- **Votekick** Votekicks the selected player (2 more are required to actually kick the player)
- **Kick Exploit** *(Only with Safe Mode disabled)* Attempts to kick the player using an exploit
- **Ban** *(Only as Host)* Bans the selected player
- **Shift** *(Only as Shapeshifter/Safe Mode disabled)* Shapeshifts you into the selected player
- **Protect** *(Only as Guardian Angel/Host/Safe Mode disabled)* Casts a guardian angel protection on the selected player
- View the player's tasks (and complete them with Safe Mode disabled)

### Trolling
- **Allow Player to NoClip** *(Only as host/Safe Mode disabled)* Allows the selected player to walk through walls
- **Force Meeting By** Forces an emergency meeting by the selected player
- **Self-Report** Forces the selected player to report their own body
- **Impersonate** Copies the player's cosmetics
- **Cosmetics Stealer** Individually select the cosmetics to steal
- **Cosmetics Resetter** Individually select the cosmetics to reset to original
- **Impersonate Everyone To** *(Only with Safe Mode disabled)* Makes everyone copy the selected player
- **Suicide** *(Only with Safe Mode disabled)* Makes the selected player kill themselves
- **Murder Loop** *(Only as host/Safe Mode disabled)* Kills the selected player 20 times
- **Suicide Loop** *(Only with Safe Mode disabled)* Makes the selected player kill themselves 20 times
- **Kill Crewmates By** *(Only with Safe Mode disabled)* Makes the selected player kill every crewmate
- **Kill Impostors By** *(Only with Safe Mode disabled)* Makes the selected player kill every impostor
- **Shift Everyone To** *(Only with Safe Mode disabled)* Makes everyone shapeshift to the selected player
- **Unshift Everyone** *(Only with Safe Mode disabled)* Makes everyone shapeshift back to themselves
- **Vote Off** *(Only as host/Safe Mode disabled)* Makes everyone vote for the selected player
- **Teleport To** Teleports yourself to the selected player
- **Teleport To You** *(Only with Safe Mode disabled)* Teleports the selected player to you
- **Attach To** Attaches yourself to the selected player
- **Turn into Ghost** *(Only as host/Safe Mode disabled)* Makes the selected player a ghost
- **Set Role** *(Only as host/Safe Mode disabled)* Sets the selected player's role to whatever you choose
- **Set Scanner** *(Only with Safe Mode disabled)* Makes the selected player medbay scan
- **Stop Scanner** *(Only with Safe Mode disabled)* Makes the selected player stop medbay scanning
- **Force Name** *(Only as host/Safe Mode disabled)* Sets the player's name to the desired name
- **Force Color** *(Only as host/Safe Mode disabled)* Sets the player's name to the desired color
- **Force Level** *(Only with Safe Mode disabled)* Forces the player's level to be the desired level
- **Whisper To** Makes your chat message whisper to the selected player
- **Fake AUM Detection** Makes AUM users falsely flag the selected player for AUM
- **Fake AUM Chat** Makes AUM users falsely receive an AUM chat message from the selected player
- **Chat As** *(Only with Safe Mode disabled)* Spoofs your chat messages from the selected player

## ✅ Tasks
- **Complete All Tasks** Completes your tasks
- **Complete Everyone's Tasks** *(Only with Safe Mode disabled)* Completes everyone's tasks
- **Complete Specific Task** Completes the selected task
- **Play Animations** Plays the map-specific animations specified
- **Play Medbay Scan Animation** Plays a medbay scan animation on yourself
- **Fake Cameras in Use** Fakes the cameras being used when there's no one using them


## 🚨 Sabotage
- **Disable Sabotages** *(Only as Host)* Prevents players from sabotaging stuff
- **Repair Sabotage** Repairs the ongoing sabotage
- **Random Sabotage** Sabotages a random system
- *All specific map sabotages can be sabotaged*
- **Disable Lights** Prevents lights from being fixed by regular means

## 🚪 Doors
- *All doors can be closed, pinned, or unpinned*
- **Close All Doors** All doors will be closed
- **Pin All Doors** All doors will be forever locked
- **Unpin All Doors** All doors will be unpinned
- **Auto Open Doors** Automatically opens doors for you without going through a minigame

## 🫅 Host
- **Choose Roles** Select everyone's roles!
- **Map** Change the map
- **Custom Impostor Amount** Force your desired number of impostors to spawn (Default: OFF)
- **Force Start of Game** Forces the game to start
- **Disable Meetings** Disables meetings and body reports (Default: OFF)
- **Disable Sabotages** Prevents players from sabotaging stuff (Default: OFF)
- **Disable Kills** Prevents players from killing others (Cheaters can still bypass this as of now) (Default: OFF)
- **Switch Moving Platform Side** *(Only on Airship)* Switches the moving platform's side
- **Disable Game Ending** Prevents the game from ending (Default: OFF)
- **End Game** End the game at your own will for your desired reason
- **Force Name for Everyone** Forces your desired name for everyone (Default: OFF)
- **Force Color for Everyone** Forces your desired color for everyone (Default: OFF)
- **Kill Other Impostors** Allows you to kill fellow impostors (Default: OFF)
- **Unlock Kill Button** Allows you to use kill button at any time (Default: OFF)
- **Allow Killing in Lobbies** Allows you to kill in lobbies (Default: OFF)
- **Kill While Vanished** Allows you to kill while being vanished as a phantom (Default: OFF)

## 🧑‍💻 Debug
- **Enable Occlusion Culling** Allows culling of objects not in your field of view (Default: OFF)
- **Force Load Settings** Forces the loading of settings from the settings file
- **Force Save Settings** Force save your settings
- **Clear RPC Queues** Clears RPC queues when there are too many RPCs to handle
- **Log Unity Debug Messages** Shows Unity debug stuff in the game log (Default: ON)